# Passable

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n passable --file env.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install passable
```

### nbdev

``` sh
# activate conda environment
$ conda activate passable

# make sure the passable package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the passable package
$ nbdev_prepare
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
$ nbdev_conda --mambabuild --build_args '-c conda-forge -c dsm-72'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/passable):

``` sh
$ pip install git+https://github.com/dsm-72/passable.git
```

or from [conda](https://anaconda.org/dsm-72/passable)

``` sh
$ conda install -c dsm-72 passable
```

or from [pypi](https://pypi.org/project/passable/)

``` sh
$ pip install passable
```

## Documentation

Documentation can be found hosted on GitHub
[repository](https://github.com/dsm-72/passable)
[pages](https://dsm-72.github.io/passable/). Additionally you can find
package manager specific guidelines on
[conda](https://anaconda.org/dsm-72/passable) and
[pypi](https://pypi.org/project/passable/) respectively.
